# JSON to Table

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782389478800306176) to try this widget and copy the Pro Config template.

## Usage

This widget converts a JSON string to a table file (.csv, .tsv, .xlsx)

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>json_string</td><td><code>string</code></td><td>Provide your input json.</td><td>[{"name": "Harry", "age": 18}, {"name": "Ginny", "age": 17}]</td><td>true</td></tr><tr><td>format_to</td><td><code>string</code></td><td>The output format of the table.</td><td>csv</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name      | Type     | Description               | File Type |
| --------- | -------- | ------------------------- | --------- |
| file\_url | `string` | The converted file in url | table     |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "file_url": "https://object-storage-16oh.lepton.ai/ws-k8d7q1rw/doc_converter/output/26fa399729d34f63a8126bd6ac9db0cc/tmpklk0rf8l.xlsx"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/33-json-to-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
